@font-face {
  font-family: 'PP Hatton';
  src: url('/wp-content/themes/twentytwentyfive/assets/fonts/pp-hatton/pp-hatton-ultralight-200.otf') format('opentype');
  font-weight: 200;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'PP Hatton';
  src: url('/wp-content/themes/twentytwentyfive/assets/fonts/pp-hatton/pp-hatton-medium-500.otf') format('opentype');
  font-weight: 500;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'PP Hatton';
  src: url('/wp-content/themes/twentytwentyfive/assets/fonts/pp-hatton/pp-hatton-bold-700.otf') format('opentype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

:root{
  --beige: #f7efe3;
  --azul-marino: #112142;
  --rojo: #a94537;
}

body {
  background-color: var(--beige);
}

h1, h1.wp-block-heading, h1.wp-block-post-title {
  font-family: 'PP Hatton', serif;
  color: var(--azul-marino);
}

h2.wp-block-post-title {
    font-family: 'PP Hatton', serif;
    color: var(--azul-marino);
}

.woocommerce span.onsale, span.wc-block-components-product-sale-badge__text {
      background-color: var(--rojo);
    color: var(--beige);
    padding: 0 0.2rem;
    border-radius: 0;
    min-height: 0;
    line-height: 2;
    top: 0;
    left: 0 !important;
}

.wc-block-components-product-sale-badge.alignright.wc-block-components-product-sale-badge--align-right {
  border: none;
  background-color: transparent;
}

.is-home .wp-block-site-title {
    opacity: 0;
    transition: opacity 0.4s ease;
}

.is-home .wp-block-group.alignfull.scrolled .wp-block-site-title {
    opacity: 1;
}

ul.wc-block-product-template {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-items: stretch;
  }

ul.wc-block-product-template li {
    flex-basis: 100%;
    display: flex;
    flex-flow: column;
    justify-content: space-between;
}

@media (min-width: 300px) {
    ul.wc-block-product-template li {
    flex-basis: 45%
}
}

@media (min-width: 580px) {
    ul.wc-block-product-template li {
    flex-basis: 30%
}
}

:root :where(.wp-element-button, .wp-block-button__link) {
    padding: .5rem 1rem;
    opacity: .9;
}

ol.flex-control-nav.flex-control-thumbs {
    padding-top: 1rem !important;
}

.woocommerce div.product div.images img {
    object-fit: cover;
    aspect-ratio: 1;
  object-position: center;
}